haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Haskore.Example.Detail

Description

Create chord patterns with controlable level of details.

Synopsis

- levels :: [[T]]
- randomItem :: RandomGen g => [a] -> State g a
- randomRState :: RandomGen g => (Int, Int) -> State g Int
- merge :: [a] -> [a] -> [a]
- dyadicPattern :: [T]
- simpleSong :: T
- dyadicLevelPattern :: [(Int, T)]
- song :: T

# Documentation

levels :: [[T]]Source

randomItem :: RandomGen g => [a] -> State g aSource

randomRState :: RandomGen g => (Int, Int) -> State g Int Source

`randomR` wrapped in a State monad.

merge :: [a] -> [a] -> [a]Source

dyadicPattern :: [T]Source

simpleSong :: T Source

dyadicLevelPattern :: [(Int, T)]Source

song :: T Source